package com.ycwl.basic.controller.mobile;

import com.github.pagehelper.PageInfo;
import com.ycwl.basic.model.mobile.goods.GoodsPageVO;
import com.ycwl.basic.model.mobile.goods.GoodsReqQuery;
import com.ycwl.basic.model.mobile.scenic.ScenicAppVO;
import com.ycwl.basic.model.mobile.scenic.ScenicDeviceCountVO;
import com.ycwl.basic.model.mobile.scenic.content.ContentPageVO;
import com.ycwl.basic.model.pc.scenic.req.ScenicReqQuery;
import com.ycwl.basic.model.pc.scenic.resp.ScenicRespVO;
import com.ycwl.basic.service.mobile.AppScenicService;
import com.ycwl.basic.service.pc.ScenicService;
import com.ycwl.basic.utils.ApiResponse;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @Author：longbinbin
 * @Date：2024/12/5 10:22
 */
@RestController
@RequestMapping("/api/mobile/scenic/v1")
@Api(tags = "景区相关接口")
public class AppScenicController {

    @Autowired
    private AppScenicService appScenicService;

    @ApiOperation("分页查询景区列表")
    @PostMapping("/page")
    public ApiResponse<PageInfo<ScenicAppVO>> pageQuery(@RequestBody ScenicReqQuery scenicReqQuery){
        return appScenicService.pageQuery(scenicReqQuery);
    }
    @ApiOperation("根据id查询景区详情")
    @GetMapping("getDetails/{id}")
    public ApiResponse<ScenicRespVO> getDetails(@PathVariable Long id){
        return appScenicService.getDetails(id);
    }

    @ApiOperation("查询景区设备总数和拍到用户的机位数量")
    @GetMapping("/deviceCountByScenicId/{scenicId}")
    public ApiResponse<ScenicDeviceCountVO> deviceCountByScenicId(@PathVariable Long scenicId){
        return appScenicService.deviceCountByScenicId(scenicId);
    }

    @ApiOperation("景区视频源素材列表")
    @GetMapping("/contentList/{scenicId}")
    public ApiResponse<List<ContentPageVO>> contentList(@PathVariable Long scenicId) {
        return appScenicService.contentList(scenicId);
    }


}
