package com.ycwl.basic.model.jwt;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author yangchen
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ToString
public class JwtInfo implements Serializable {

    private static final long serialVersionUID = 5452605590172369563L;

    /**
     * 用户名称
     */
    private String name;

    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 角色ID
     */
    private String roleId;

    /**
     * 用户账号
     */
    private String account;

    private String phone;


    /**
     * 生成 token 的时间
     * <p>
     * 会加一个 expire 作为 token 的有效期
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime expireTime;



}
