package com.ycwl.basic.service;

import cn.hutool.core.util.StrUtil;
import com.ycwl.basic.exception.BaseException;
import com.ycwl.basic.utils.OssUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.util.Objects;

/**
 * file请求服务
 *
 * @author songmingsong
 */
@Service
public class FileService {

    @Autowired
    private OssUtil ossUtil;

    public String uploadFile(MultipartFile file) throws IOException {
        String originalFilename = file.getOriginalFilename();
        if (StrUtil.isBlank(originalFilename)) {
            throw new BaseException("文件上传失败，文件名不能为空");
        }
        String fileName=System.currentTimeMillis() + originalFilename.substring(originalFilename.lastIndexOf("."));
        return ossUtil.uploadFile(file.getInputStream(), fileName);
    }

    public Boolean delete(String fileName) {
        return ossUtil.deleteFile(fileName);
    }
}
