package com.ycwl.basic.service.mobile;

import com.ycwl.basic.model.mobile.goods.*;
import com.ycwl.basic.model.pc.source.resp.SourceRespVO;
import com.ycwl.basic.utils.ApiResponse;

import java.math.BigDecimal;
import java.util.List;

/**
 * @Author：longbinbin
 * @Date：2024/12/5 15:03
 */
public interface GoodsService {

    /**
     * 查询商品列表
     * @param query 查询条件
     * @return
     */
    ApiResponse<List<GoodsPageVO>> goodsList(GoodsReqQuery query);

    /**
     * 查询源素材商品列表
     * @param query
     * @return
     */
    ApiResponse<List<GoodsDetailVO>> sourceGoodsList(GoodsReqQuery query);

    /**
     * 查询订单应付价格
     * @param queryPriceData
     * @return
     */
    ApiResponse<BigDecimal> queryPrice(GoodsPriceQueryReq queryPriceData);

    /**
     *
     * @param goodsId 商品（vlog）id
     * @return
     */
    ApiResponse<VideoGoodsDetailVO> videoGoodsDetail(Long goodsId);

    /**
     * 查询当前用户的成片合成任务状态
     * @param userId
     * @return
     */
    ApiResponse<Integer> getAllTaskStatus(Long userId ,Long scenicId);

    ApiResponse<Integer> getTemplateTaskStatus(Long userId, Long templateId);
}
